//This test checks the behavior of Scilab optimizer optim, Quasi newton
//case over the corresponding problems included in the sif directory
lines(0)
PBS=[];
path=get_sif_path()+'sif'
//select the problems that can be solved by optim
//-----------------------------------------------
//Sum of square objective, Unbounded, Regular
sel= sifselect(path,['S','U','R']); 
PBS=[PBS;['SUR'+emptystr(sel) sel]];

//Other objective, Unbounded, Regular
sel= sifselect(path,['O','U','R']);
PBS=[PBS;['OUR'+emptystr(sel) sel]];

//Sum of square objective, Bounded, Regular
sel= sifselect(path,['S','B','R']);
PBS=[PBS;['SBR'+emptystr(sel) sel]];

//Other objective, Bounded, Regular
sel= sifselect(path,['O','B','R']);
PBS=[PBS;['OBR'+emptystr(sel) sel]];

//Other objective, Bounded, Iregular
sel= sifselect(path,['O','B','I']);
PBS=[PBS;['OBI'+emptystr(sel) sel]];

// Try to solve the selected problems
R=[];
for k=1:size(PBS,1)
  disp(PBS(k,:))
  [fopt,xopt,gopt,report]=sifoptim(path+'/'+PBS(k,2)+'.SIF','qn');
  R=[R;[PBS(k,1),report]];
end
